<?php
//Incluímos inicialmente la conexión a la base de datos
require "../config/Conexion.php";

class OdontProcedimiento
{
    //Implementamos nuestro constructor
    public function __construct()
    {
    }

    //Implementamos un método para insertar registros
    public function insertar($codigo, $nombre, $descripcion, $categoria, $precio)
    {
        $sql = "INSERT INTO odont_procedimiento (codigo, nombre, descripcion, categoria, precio, estado)
		VALUES ('$codigo', '$nombre', '$descripcion', '$categoria', '$precio', 1)";
        return ejecutarConsulta($sql);
    }

    //Implementamos un método para editar registros
    public function editar($idprocedimiento, $codigo, $nombre, $descripcion, $categoria, $precio)
    {
        $sql = "UPDATE odont_procedimiento SET codigo='$codigo', nombre='$nombre', descripcion='$descripcion', categoria='$categoria', precio='$precio' WHERE idprocedimiento='$idprocedimiento'";
        return ejecutarConsulta($sql);
    }

    //Implementamos un método para desactivar categorías
    public function desactivar($idprocedimiento)
    {
        $sql = "UPDATE odont_procedimiento SET estado=0 WHERE idprocedimiento='$idprocedimiento'";
        return ejecutarConsulta($sql);
    }

    //Implementamos un método para activar categorías
    public function activar($idprocedimiento)
    {
        $sql = "UPDATE odont_procedimiento SET estado=1 WHERE idprocedimiento='$idprocedimiento'";
        return ejecutarConsulta($sql);
    }

    //Implementar un método para mostrar los datos de un registro a modificar
    public function mostrar($idprocedimiento)
    {
        $sql = "SELECT * FROM odont_procedimiento WHERE idprocedimiento='$idprocedimiento'";
        return ejecutarConsultaSimpleFila($sql);
    }

    //Implementar un método para listar los registros
    public function listar()
    {
        $sql = "SELECT * FROM odont_procedimiento";
        return ejecutarConsulta($sql);
    }

    //Implementar un método para listar los registros activos
    public function listarActivos()
    {
        $sql = "SELECT * FROM odont_procedimiento WHERE estado=1 ORDER BY nombre ASC";
        return ejecutarConsulta($sql);
    }
}
